givintsqrootmod.h File Reference

Modular square roots. More...

`#include <iostream>`
`#include "givaro/givinteger.h"`
`#include "givaro/givintprime.h"`
`#include "givaro/givintfactor.h"`
`#include "givaro/givintrns.h"`
`#include "givaro/givrandom.h"`
`#include "givaro/givpower.h"`
`#include <cmath>`
`#include "givaro/givintsqrootmod.inl"`
Include dependency graph for givintsqrootmod.h:

## Data Structures

class | IntSqrtModDom< MyRandIter >
| Modular square roots. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.
namespace | Givaro::AlgorithmType
| Information about the type of method.

## Detailed Description

Modular square roots.